Create Or Replace Procedure sp_fco_upd_integrada_cab
(
    pch_compania char,
    psi_anio number,
    pti_mes number,
    pvc_sucursal varchar2,
    pch_tipo_planilla char,
    pch_nro_planilla char,
    pdt_fecha_pago date
)
As
Begin
    Update fco_integrada_cab
    Set nro_planilla = pch_nro_planilla,
        fecha_pago_real = pdt_fecha_pago
    Where compania = pch_compania
      And anio = psi_anio
      And mes = pti_mes
      And sucursal = Nvl(pvc_sucursal, ' ')
      And tipo_planilla = pch_tipo_planilla;

    Commit;
End;
/
Create Public Synonym sp_fco_upd_integrada_cab For ADAM.sp_fco_upd_integrada_cab;
Grant Execute On sp_fco_upd_integrada_cab To ADAMA;

